<div style="overflow: auto; max-height: 600px">
<table>
	<thead>
		<tr>
			{% for header in headers %}
			<th>{{ header }}</th>
			{% endfor %}
		</tr>
	</thead>
	<tbody>
		{% if viagens %}
			{% for viagens in viagens %}
			<tr hx-get="{{ url_for('bikesp._admin_gera_mapa') }}"
				hx-vals='{"idviagem": "{{ viagens.idviagem }}"}'
				hx-target="#mapa-box"
				hx-swap="outerHTML"
				hx-trigger="click"
				hx-on:click="RowClick(event)">
				<td>{{ viagens.idviagem }}</td>
				<td>{{ viagens.idpessoa }}</td>
				<td>{{ viagens.data }}</td>
				<td>{{ viagens.deslocamento }}</td>
				<td>{{ viagens.idorigem }}</td>
				<td>{{ viagens.iddestino }}</td>
				<td>{{ viagens.status }}</td>
				<td>{{ viagens.remuneracao }}</td>
			</tr>
			{% endfor %}
		{% else %}
			<tr>
				<td colspan="{{ headers|length }}" style="text-align: center;">Não Encontramos Usuários/Viagens</td>
			</tr>
		{% endif %}
	</tbody>
</table>
		<p style="text-align: right; font-size: .9rem; margin-top: .5rem;">Página {{ pagina + 1}}</p>
</div>

<div class="button-container">
	<button type="button" hx-get="{{ url_for('bikesp._admin_getviagens') }}?pagina={{ pagina - 1 }}"  hx-target="#viagem-table" {% if pagina == 0 %}disabled{% endif %} >Anterior</button>
	<button type="button" hx-get="{{ url_for('bikesp._admin_getviagens') }}?pagina={{ pagina + 1 }}" hx-target="#viagem-table" {% if ultima_pagina %}disabled{% endif %}>Próximo</button>
</div>
